This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1006674 - (CVE-2013-4325) CVE-2013-4325 hplip: Insecure calling of polkit
CVE-2013-4325 hplip: Insecure calling of polkit
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130918,repo...
: Security
Depends On: 1005139 1007171 1007172 1009541
Blocks: 1002376
  Show dependency treegraph
 
Reported: 2013-09-11 01:37 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-23 09:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
hplip patch (1.92 KB, patch)
2013-09-11 02:01 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-09-11 01:37:53 EDT
Sebastian Krahmer reported a security issue was found in polkit (CVE-2013-4288 bz 1002375).

It was found that hplip was vulnerable to this issue as well, since it communicated to polkit authority using an unsafe DBUS interface. 

This issue has been assigned CVE-2013-4325
Comment 1 Huzaifa S. Sidhpurwala 2013-09-11 02:01:32 EDT
Created attachment 796256 [details]
hplip patch
Comment 3 Vincent Danen 2013-09-18 11:14:03 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/18/4
Comment 4 Vincent Danen 2013-09-18 11:26:52 EDT
Created hplip tracking bugs for this issue:

Affects: fedora-all [bug 1009541]
Comment 5 errata-xmlrpc 2013-09-19 14:06:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1274 https://rhn.redhat.com/errata/RHSA-2013-1274.html
Comment 6 Fedora Update System 2013-09-20 00:01:42 EDT
hplip-3.13.9-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-20 12:24:48 EDT
hplip-3.13.9-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-09 10:50:07 EDT
hplip-3.13.9-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-18 16:03:35 EDT
hplip-3.13.9-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.